<?php

namespace App\Orchid\Layouts\Carousel;

use Orchid\Screen\Layouts\Rows;
use Orchid\Screen\Fields\Input;

class SlideEditLayout extends Rows {
  protected $title;

  protected function fields(): iterable {
    return [
      Input::make('slide.title_line_1')
        ->placeholder('Title line 1')
        ->title('Title Line 1'),

      Input::make('slide.title_line_2')
        ->placeholder('Title line 2')
        ->title('Title Line 2'),

      Input::make('slide.button_text')
        ->placeholder('Button text')
        ->title('Button Text'),

      Input::make('slide.image')
        ->help('Recommended size: 1500x2000')
        ->type('file')
        ->title('Image'),
    ];
  }
}
